no need to panic while updated to firmware 2.0.0

Follow our development of DSP and SDR tutorials

Moderator: robert.ghilduta

Post Reply
peekli
Posts: 7
Joined: Mon Jun 13, 2016 6:30 am

no need to panic while updated to firmware 2.0.0

Post by peekli » Wed Jun 15, 2016 2:02 am

This is a share of experience for new pie:)

we can update firmware through:
https://github.com/Nuand/bladeRF/wiki/U ... F-firmware

If you update the firmware to 2.0.0, after the update finished, you may meet the condition as following:
Both bladeRF-cli under Ubuntu and Windows , cannot identify the bladeRF device.
such as:
BladeRF-cli -i
will response that: no device found...(blablaba.., which happens on me yestarday)

If this happen, DO NOT panic, DO NOT warry about it.

Just download the bladeRF-win-installer-2016.05-rc2-alpha2.exe and install it onto windows, restart machine.
the bladeRF-cli will identify bladerf. Now you can down-grade it back to 1.9.0 or other firmware version.

jynik
Posts: 455
Joined: Thu Jun 06, 2013 8:15 pm

Re: no need to panic while updated to firmware 2.0.0

Post by jynik » Wed Jun 15, 2016 11:37 am

Thanks for sharing peekli!

The 2.0.0 series of firmware migrates to the new VID we will be using in the future on the bladeRF and any future devices. As noted on the firmware download page, this required libbladeRF v1.6.0 or later.

If you ever run into trouble with firmware, you can always use the bootloader to get back to a fresh state with the firmware version of your choosing.

ksmiller99
Posts: 10
Joined: Wed Jun 15, 2016 11:22 am

Re: no need to panic while updated to firmware 2.0.0

Post by ksmiller99 » Sat Jun 18, 2016 11:24 am

I'm trying to downgrade the firmware from 2.0 so that I can use the bladeRF in Linux and Windows. I downloaded the image but get a checksum error:

Code: Select all

bladeRF> flash_restore C:\Users\Kevin\Downloads\bladeRF_fw_v1.9.0.img

  Error: Invalid checksum
Am I doing something wrong?

Kevin

jynik
Posts: 455
Joined: Thu Jun 06, 2013 8:15 pm

Re: no need to panic while updated to firmware 2.0.0

Post by jynik » Sat Jun 18, 2016 6:08 pm

Hi Kevin,

Once you've downloaded bladeRF_fw_v1.9.1.img, you'll want to run either one of the following to load the FX3 firmware into flash:

From cmd.exe

Code: Select all

> bladeRF-cli.exe -f bladeRF_fw_v1.9.1.img
... or from within the bladeRF-cli interactive mode:

Code: Select all

bladeRF> load fx3 bladeRF_fw_v1.9.1.img
I have updated this page to explicitly note both methods.

The flash_backup and flash_restore calls were originally intended to backup and restore regions of flash, should users want to customize things. However, I don't think these really caught on and got much use.

Sorry for the confusion -- hopefully this clarifies things.

Post Reply